diff -ruN ../nakedmudv3.7.9/lib/pymodules/inform.py lib/pymodules/inform.py
--- ../nakedmudv3.7.9/lib/pymodules/inform.py	2009-03-02 02:58:42.000000000 -0500
+++ lib/pymodules/inform.py	2009-04-05 13:56:24.000000000 -0400
@@ -1,13 +1,10 @@
-################################################################################
-#
-# inform.py
-#
-# Python's mirror of C's inform.c -- contains various functions that perform
-# informative duties. Examining places/things, displaying proper names, etc...
-#
-################################################################################
-from mud import *
-import utils, char, hooks, mudsock, string
+"""
+inform.py
+
+Python's mirror of C's inform.c -- contains various functions that perform
+informative duties. Examining places/things, displaying proper names, etc...
+"""
+import utils, char, hooks, mudsock, mud, string, display
 
 
 
@@ -17,7 +14,7 @@
 def build_who(ch = None):
     '''returns a formatted list of all the people currently online'''
     buf = [ ]
-    buf.append("-------------------------------------------------------------------------------")
+    buf.append(display.seperator)
 
     # build character info
     count   = len(mudsock.socket_list())
@@ -37,9 +34,9 @@
     if playing == 1: play_end = ""
 
     # build our footer
-    buf.append("-------------------------------------------------------------------------------")
+    buf.append(display.seperator)
     buf.append((" %d socket" % count)  + conn_end + " logged in." + (" %d player" % playing) + play_end + " currently playing.")
-    buf.append("-------------------------------------------------------------------------------")
+    buf.append(display.seperator)
     buf.append("")
     return "\r\n".join(buf)
 
@@ -74,8 +71,8 @@
             if ex == None:
                 continue
             if ex.dest == None:
-                log_string("ERROR: room %s headed %s to %s, which does not exist."%\
-                           room.proto, dir, ex.destproto)
+                mud.log_string("ERROR: room %s headed %s to %s, which does not exist."%\
+                               room.proto, dir, ex.destproto)
             elif ch.cansee(ex):
                 list_one_exit(ch, ex, dir)
 
@@ -84,8 +81,8 @@
         if not dir in compass_dirs:
             ex = room.exit(dir)
             if ex.dest == None:
-                log_string("ERROR: room %s headed %s to %s, which does not exist." % \
-                           room.proto, dir, ex.destproto)
+                mud.log_string("ERROR: room %s headed %s to %s, which does not exist." % \
+                               room.proto, dir, ex.destproto)
             elif ch.cansee(ex):
                 list_one_exit(ch, ex, dir)
 
diff -ruN ../nakedmudv3.7.9/lib/pymodules/movement.py lib/pymodules/movement.py
--- ../nakedmudv3.7.9/lib/pymodules/movement.py	2009-03-02 01:45:15.000000000 -0500
+++ lib/pymodules/movement.py	2009-04-05 14:04:03.000000000 -0400
@@ -1,12 +1,8 @@
-################################################################################
-#
-# movement.py
-#
-# all of the functions concerned with movement and position change
-#
-################################################################################
-from mud import *
-from mudsys import add_cmd, add_cmd_check
+'''
+movement.py
+
+all of the functions concerned with movement and position change
+'''
 import inform, hooks, mudsys, mud
 
 
@@ -34,16 +30,18 @@
     else:
         # are we already on something? get up first
         if ch.on:
-            message(ch,None,ch.on,None,True,"to_char","You stand up from $o.")
-            message(ch,None,ch.on,None,True,"to_room","$n stands up from $o.")
+            mud.message(ch,None,ch.on,None,True,"to_char",
+                        "You stand up from $o.")
+            mud.message(ch,None,ch.on,None,True,"to_room",
+                        "$n stands up from $o.")
             ch.on = None
 
-        # send our messages for sitting down
+        # send our mud.messages for sitting down
         act = pos_act[positions.index(pos)]
-        message(ch, None, obj, None, True,
-                "to_char", "You " + act + " " + obj.furniture_type + " $o.")
-        message(ch, None, obj, None, True,
-                "to_room", "$n " + act + " " + obj.furniture_type + " $o.")
+        mud.message(ch, None, obj, None, True,
+                    "to_char", "You " + act + " " + obj.furniture_type + " $o.")
+        mud.message(ch, None, obj, None, True,
+                    "to_room", "$n " + act + " " + obj.furniture_type + " $o.")
 
         # place ourselves down on our new furniture
         ch.on  = obj
@@ -60,19 +58,19 @@
         return False
     else:
         if ch.pos == "flying":
-            message(ch, None, None, None, True, "to_char", "You stop flying.")
-            message(ch, None, None, None, True, "to_room", "$n stops flying.")
+            mud.message(ch,None,None,None,True, "to_char", "You stop flying.")
+            mud.message(ch,None,None,None,True, "to_room", "$n stops flying.")
 
         act = pos_act[positions.index(pos)]
-        message(ch, None, None, None, True, "to_char", "You " + act + ".")
-        message(ch, None, None, None, True, "to_room", "$n "  + act + "s.")
+        mud.message(ch, None, None, None, True, "to_char", "You " + act + ".")
+        mud.message(ch, None, None, None, True, "to_room", "$n "  + act + "s.")
         ch.pos = pos
         return True
 
 def cmd_sit(ch, cmd, arg):
     '''If standing, attempts to sit on the ground.'''
     try:
-        obj, = parse_args(ch, True, cmd, arg, "| [on] obj.room")
+        obj, = mud.parse_args(ch, True, cmd, arg, "| [on] obj.room")
     except: return
 
     if obj == None:
@@ -85,7 +83,7 @@
 def cmd_sleep(ch, cmd, arg):
     '''If awake, attempts to lay down and sleep.'''
     try:
-        obj, = parse_args(ch, True, cmd, arg, "| [on] obj.room")
+        obj, = mud.parse_args(ch, True, cmd, arg, "| [on] obj.room")
     except: return
 
     if obj == None:
@@ -101,8 +99,10 @@
 
 def cmd_wake(ch, cmd, arg):
     '''If sleep, attempts to wake up and sit.'''
-    message(ch,None,None,None,True, "to_char", "You stop sleeping and sit up.")
-    message(ch,None,None,None,True, "to_room", "$n stops sleeping and sits up.")
+    mud.message(ch,None,None,None,True, "to_char",
+                "You stop sleeping and sit up.")
+    mud.message(ch,None,None,None,True, "to_room",
+                "$n stops sleeping and sits up.")
     ch.pos = "sitting"
 
 def dir_opposite(dir):
@@ -150,15 +150,15 @@
         old_room = ch.room
         dirnum   = dir_index(dir)
 
-        # send out our leave messages as needed. Is anyone in the old room?
+        # send out our leave mud.messages as needed. Is anyone in the old room?
         if mssg == True:
             if ex.leave_mssg != '':
-                message(ch, None, None, None, True, "to_room", ex.leave_mssg)
+                mud.message(ch, None, None, None, True, "to_room",ex.leave_mssg)
             elif dirnum == -1:
-                message(ch, None, None, None, True, "to_room", "$n leaves.")
+                mud.message(ch, None, None, None, True, "to_room", "$n leaves.")
             else:
-                message(ch, None, None, None, True, "to_room",
-                        "$n leaves " + dir_name[dirnum] + ".")
+                mud.message(ch, None, None, None, True, "to_room",
+                            "$n leaves " + dir_name[dirnum] + ".")
 
         # run our leave hooks
         hooks.run("exit", hooks.build_info("ch rm ex", (ch, ch.room, ex)))
@@ -172,15 +172,15 @@
             
         ch.act("look")
 
-        # send out our enter messages as needed
+        # send out our enter mud.messages as needed
         if mssg == True:
             if ex.enter_mssg != '':
-                message(ch, None, None, None, True, "to_room", ex.enter_mssg)
+                mud.message(ch,None,None,None,True,"to_room",ex.enter_mssg)
             elif dirnum == -1:
-                message(ch, None, None, None, True, "to_room","$n has arrived.")
+                mud.message(ch,None,None,None,True,"to_room","$n has arrived.")
             else:
-                message(ch, None, None, None, True, "to_room",
-                        "$n arrives from the " + dir_name[dir_opp[dirnum]] +".")
+                mud.message(ch, None, None, None, True, "to_room",
+                            "$n arrives from the "+dir_name[dir_opp[dirnum]]+".")
 
         # run our enter hooks
         hooks.run("enter", hooks.build_info("ch rm", (ch, ch.room)))
@@ -201,26 +201,26 @@
 ################################################################################
 # mud commands
 ################################################################################
-add_cmd("north",     "n",  cmd_move, "player", True)
-add_cmd("west",      "w",  cmd_move, "player", True)
-add_cmd("east",      "e",  cmd_move, "player", True)
-add_cmd("south",     "s",  cmd_move, "player", True)
-add_cmd("up",        "u",  cmd_move, "player", True)
-add_cmd("down",      "d",  cmd_move, "player", True)
-add_cmd("northwest", None, cmd_move, "player", True)
-add_cmd("northeast", None, cmd_move, "player", True)
-add_cmd("southwest", None, cmd_move, "player", True)
-add_cmd("southeast", None, cmd_move, "player", True)
-add_cmd("nw",        None, cmd_move, "player", True)
-add_cmd("ne",        None, cmd_move, "player", True)
-add_cmd("sw",        None, cmd_move, "player", True)
-add_cmd("se",        None, cmd_move, "player", True)
-
-add_cmd("wake",      None, cmd_wake, "player", True)
-add_cmd("sleep",     None, cmd_sleep,"player", True)
-add_cmd("stand",     None, cmd_stand,"player", True)
-add_cmd("land",      None, cmd_stand,"player", True)
-add_cmd("sit",       None, cmd_sit,  "player", True)
+mudsys.add_cmd("north",     "n",  cmd_move, "player", True)
+mudsys.add_cmd("west",      "w",  cmd_move, "player", True)
+mudsys.add_cmd("east",      "e",  cmd_move, "player", True)
+mudsys.add_cmd("south",     "s",  cmd_move, "player", True)
+mudsys.add_cmd("up",        "u",  cmd_move, "player", True)
+mudsys.add_cmd("down",      "d",  cmd_move, "player", True)
+mudsys.add_cmd("northwest", None, cmd_move, "player", True)
+mudsys.add_cmd("northeast", None, cmd_move, "player", True)
+mudsys.add_cmd("southwest", None, cmd_move, "player", True)
+mudsys.add_cmd("southeast", None, cmd_move, "player", True)
+mudsys.add_cmd("nw",        None, cmd_move, "player", True)
+mudsys.add_cmd("ne",        None, cmd_move, "player", True)
+mudsys.add_cmd("sw",        None, cmd_move, "player", True)
+mudsys.add_cmd("se",        None, cmd_move, "player", True)
+
+mudsys.add_cmd("wake",      None, cmd_wake, "player", True)
+mudsys.add_cmd("sleep",     None, cmd_sleep,"player", True)
+mudsys.add_cmd("stand",     None, cmd_stand,"player", True)
+mudsys.add_cmd("land",      None, cmd_stand,"player", True)
+mudsys.add_cmd("sit",       None, cmd_sit,  "player", True)
 
 # The mud needs to know our command for movement as well
 mudsys.set_cmd_move(cmd_move)
@@ -242,7 +242,7 @@
     if not ch.pos == "sleeping":
         ch.send("You must be asleep to wake up.")
         return False
-add_cmd_check("wake", chk_wake)
+mudsys.add_cmd_check("wake", chk_wake)
 
 def chk_sleep(ch, cmd):
     if ch.pos == "sleeping":
@@ -251,7 +251,7 @@
     elif ch.pos == "unconscious":
         ch.send("You cannot sleep while you are unconscious.")
         return False
-add_cmd_check("sleep", chk_sleep)
+mudsys.add_cmd_check("sleep", chk_sleep)
 
 def chk_stand(ch, cmd):
     if ch.pos == "standing":
@@ -260,7 +260,7 @@
     elif ch.pos != "sitting":
         ch.send("You cannot stand while " + ch.pos + ".")
         return False
-add_cmd_check("stand", chk_stand)
+mudsys.add_cmd_check("stand", chk_stand)
 
 def chk_land(ch, cmd):
     if ch.pos == "standing":
@@ -269,7 +269,7 @@
     elif ch.pos != "flying":
         ch.send("You cannot land if you are not flying.")
         return False
-add_cmd_check("land", chk_land)
+mudsys.add_cmd_check("land", chk_land)
 
 def chk_sit(ch, cmd):
     if ch.pos == "sitting":
@@ -278,4 +278,4 @@
     elif ch.pos != "standing":
         ch.send("You must be standing to sit.")
         return False
-add_cmd_check("sit", chk_sit)
+mudsys.add_cmd_check("sit", chk_sit)
diff -ruN ../nakedmudv3.7.9/lib/pymodules/path.py lib/pymodules/path.py
--- ../nakedmudv3.7.9/lib/pymodules/path.py	2009-03-02 01:45:15.000000000 -0500
+++ lib/pymodules/path.py	2009-04-01 13:03:01.000000000 -0400
@@ -4,8 +4,6 @@
 Plugs into the routine module to allow for the easy construction of paths and
 path following.
 '''
-from mud import *
-from mudsys import add_cmd
 import mud, mudsys, room
 
 
@@ -16,7 +14,7 @@
 def leads_to(frm, to):
     '''returns whether from leads directly to to'''
     for ex in frm.exnames:
-        if frm.exit(ex).dest is to:
+        if frm.exit(ex).dest == to:
             return True
     return False
 
@@ -24,80 +22,61 @@
                       ignore = None):
     '''calculates the shortest path, but uses a breadth first search. More
        efficient than depth-first seach for very short paths with lots of
-       branches or very large muds.'''
+       branches or very large muds.
+    '''
     if frm == to:
-        return [frm]
+        return [ frm ]
 
-    rooms = []
-    depth = []
+    depth = [ [ frm ] ]
 
     if ignore == None:
         ignore = set()
     ignore.add(frm)
 
-    # what is our highest depth
-    i = 1
-
-    # the index of the room our last depth started at
-    j = 0
-
-    # append ourself and our depth
-    rooms.append(frm)
-    depth.append(i)
-
     # figure out what zone we're doing this from
     zone = None
     if stay_zone:
-        zone = "@" + frm.proto.split("@")[-1]
+        zone = frm.locale
 
-    # keep going until we find To, or we can't go any deeper
+    # keep going until we find to, or we can't go any deeper
     found = False
     while not found:
-        prev_depth = rooms[j:]
-        for rm in prev_depth:
-            for ex in rm.exnames:
-                dest = rm.exit(ex).dest
-                if (dest == None or dest in ignore or
-                    (stay_zone and not dest.proto.endswith(zone))):
-                    continue
-                rooms.append(dest)
-                depth.append(i)
-                if dest is to:
+        layer = [ ]
+        for room in depth[-1]:
+            for dir in room.exnames:
+                dest = room.exit(dir).dest
+                if dest == None or dest in ignore:
+                    pass
+                elif zone != None and dest.locale != zone:
+                    pass
+                elif dest == to:
                     found = True
+                    layer = [ ]
                     break
-                ignore.add(rm)
-            if found:
+                else:
+                    layer.append(dest)
+                ignore.add(dest)
+            if found == True:
                 break
+        if len(layer) > 0:
+            depth.append(layer)
+        if found == True or len(layer) == 0:
+            break
 
-        i += 1
-        j += len(prev_depth)
+    # no path found
+    if found == False:
+        return None
 
-    # go backwards from our destination
-    rooms.reverse()
-    depth.reverse()
-
-    # first step, pull out our destination room
-    path = [to]
-
-    # pull out all other rooms on the shortest path
-    while len(rooms) > 0:
-        curr_depth = depth[0]
-        
-        # figure out which room in our current layer
-        # links to our previous room in the shortest path
-        for next in rooms:
-            if leads_to(next, path[len(path)-1]):
-                path.append(next)
+    # find the rooms that link each other, in reverse order
+    path  = [ to ]
+    order = range(len(depth))
+    order.reverse()
+    for i in order:
+        for room in depth[i]:
+            if leads_to(room, path[-1]):
+                path.append(room)
                 break
 
-        # clear our last layer
-        i = 0
-        while i < len(depth) and depth[i] == curr_depth:
-            i += 1
-        rooms = rooms[i:]
-        depth = depth[i:]
-
-    # put it back in order
     path.reverse()
     return path
 
@@ -115,12 +94,12 @@
     ignore.add(frm)
 
     # if we're the target room, return an empty list
-    if frm is to:
+    if frm == to:
         return [frm]
 
     zone = None
     if stay_zone:
-        zone = "@" + frm.proto.split("@")[-1]
+        zone = frm.locale
 
     # build the shortest path 
     for ex in frm.exnames:
@@ -131,12 +110,12 @@
         # get the dest room. if there is none, skip this exit
         next_room = frm.exit(ex).dest
         
-        if next_room is None:
+        if next_room == None:
             continue
 
         # if we already know this is a dead end or a loopback, skip it
         if (next_room in ignore or
-            (stay_zone and not next_room.proto.endswith(zone))):
+            (stay_zone and not next_room.locale == zone)):
             continue
 
         next_path = shortest_path(next_room, to, ignore_doors, stay_zone,ignore)
@@ -201,12 +180,12 @@
 # commands
 ################################################################################
 def cmd_path(ch, cmd, arg):
-    '''Usage: path <person>
+    '''Usage: path <room>
 
        Prints out a Python list of the directions needed to move from your
-       current location to the location of the specified person.'''
+       current location to a specified destination.'''
     try:
-        dest, = parse_args(ch, True, cmd, arg, "room")
+        dest, = mud.parse_args(ch, True, cmd, arg, "room")
     except: return
 
     path = build_patrol([ch.room, dest])
@@ -223,7 +202,7 @@
 ################################################################################
 
 # add our commands
-add_cmd("path", None, cmd_path, "admin", False)
+mudsys.add_cmd("path", None, cmd_path, "admin", False)
 
 # mud initialization
 mud.build_patrol = build_patrol
diff -ruN ../nakedmudv3.7.9/lib/pymodules/routine.py lib/pymodules/routine.py
--- ../nakedmudv3.7.9/lib/pymodules/routine.py	2009-03-02 01:45:15.000000000 -0500
+++ lib/pymodules/routine.py	2009-04-05 14:05:10.000000000 -0400
@@ -6,8 +6,6 @@
 anything else. This was primarily meant to be for path-following, but I figured
 it was worth the time to generalize it out for more complex actions
 '''
-from mud import *
-from mudsys import add_cmd
 import mud, mudsys, auxiliary, storage, event
 
 
@@ -24,6 +22,8 @@
 # auxiliary data
 ################################################################################
 class RoutineAuxData:
+    '''Holds character data related to character routines.
+    '''
     def __init__(self, set = None):
         self.routine = None   # the routine we follow
         self.repeat  = False  # after we finish it, do we repeat?
@@ -176,8 +176,8 @@
        Alternatively, these commands can be replaced with function calls.
        '''
     try:
-        tgt, routine, repeat = parse_args(ch, True, cmd, arg,
-                                          "ch.room.noself word(py_list) | bool(repeat)")
+        tgt, routine, repeat = mud.parse_args(ch, True, cmd, arg,
+                                              "ch.room.noself word(py_list) | bool(repeat)")
     except:
         return
 
@@ -197,7 +197,7 @@
 register_routine_check(lambda ch: ch.isActing())
 
 # commands
-add_cmd("routine", None, cmd_routine, "admin", False)
+mudsys.add_cmd("routine", None, cmd_routine, "admin", False)
 
 # misc initialization
 # mud.set_routine = set_routine
diff -ruN ../nakedmudv3.7.9/lib/pymodules/utils.py lib/pymodules/utils.py
--- ../nakedmudv3.7.9/lib/pymodules/utils.py	2009-03-02 02:59:02.000000000 -0500
+++ lib/pymodules/utils.py	2009-04-05 14:05:40.000000000 -0400
@@ -1,10 +1,8 @@
-################################################################################
-#
-# utils.py
-#
-# Various utility functions used by other Python modules.
-#
-################################################################################
+'''
+utils.py
+
+Various utility functions used by other Python modules.
+'''
 import mud
 
 
